"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.beanTags = void 0;
const CookieTag_js_1 = require("./bean/CookieTag.js");
const DefineTag_js_1 = require("./bean/DefineTag.js");
const HeaderTag_js_1 = require("./bean/HeaderTag.js");
const IncludeTag_js_1 = require("./bean/IncludeTag.js");
const MessageTag_js_1 = require("./bean/MessageTag.js");
const PageTag_js_1 = require("./bean/PageTag.js");
const ParameterTag_js_1 = require("./bean/ParameterTag.js");
const ResourceTag_js_1 = require("./bean/ResourceTag.js");
const SizeTag_js_1 = require("./bean/SizeTag.js");
const StrutsTag_js_1 = require("./bean/StrutsTag.js");
const WriteTag_js_1 = require("./bean/WriteTag.js");
const beanTags = {
    cookie: CookieTag_js_1.CookieTag,
    define: DefineTag_js_1.DefineTag,
    header: HeaderTag_js_1.HeaderTag,
    include: IncludeTag_js_1.IncludeTag,
    message: MessageTag_js_1.MessageTag,
    page: PageTag_js_1.PageTag,
    parameter: ParameterTag_js_1.ParameterTag,
    resource: ResourceTag_js_1.ResourceTag,
    size: SizeTag_js_1.SizeTag,
    struts: StrutsTag_js_1.StrutsTag,
    write: WriteTag_js_1.WriteTag,
};
exports.beanTags = beanTags;
