"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConditionalTagBase = void 0;
const TagSupport_js_1 = require("../util/TagSupport.js");
const TagUtils_js_1 = require("../util/TagUtils.js");
class ConditionalTagBase extends TagSupport_js_1.TagSupport {
    render() {
        if (this.condition()) {
            return this.getBody();
        }
    }
    /**
     * helper method to look for the variable
     */
    lookup() {
        const { context } = this;
        const { name, property, scope } = this.attr;
        return TagUtils_js_1.TagUtils.getInstance().lookup(context, name, property, scope);
    }
}
exports.ConditionalTagBase = ConditionalTagBase;
