"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyTag = void 0;
const ConditionalTagBase_js_1 = require("./ConditionalTagBase.js");
/**
 * <logic:empty>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/logic/EmptyTag.java
 */
class EmptyTag extends ConditionalTagBase_js_1.ConditionalTagBase {
    condition() {
        const value = this.lookup();
        return value == null || value.length === 0;
    }
}
exports.EmptyTag = EmptyTag;
