"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConvertUtilsBean = void 0;
class ConvertUtilsBean {
    constructor() {
        this.converters = {
            string: { convert: (value) => `${value}` },
        };
    }
    lookup(clazz) {
        return this.converters[clazz];
    }
    convert(value) {
        if (value == null) {
            return null;
        }
        else {
            if (Array.isArray(value)) {
                if (value.length < 1) {
                    return null;
                }
                else {
                    value = value[0];
                    if (value == null) {
                        return null;
                    }
                    else {
                        const converter = this.lookup("string");
                        return converter.convert(value);
                    }
                }
            }
            else {
                const converter = this.lookup("string");
                return converter.convert(value);
            }
        }
    }
}
exports.ConvertUtilsBean = ConvertUtilsBean;
