"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringBuffer = void 0;
const concat_js_1 = require("../internal/concat.js");
class StringBuffer {
    constructor(str) {
        this.buffer = (str == null) ? [] : [str];
    }
    append(str) {
        if (str != null) {
            this.buffer.push(str);
        }
    }
    toString() {
        return (0, concat_js_1.concat)(this.buffer);
    }
}
exports.StringBuffer = StringBuffer;
