import type { Struts1Html } from "../../index.js";
import { StringBuffer } from "../util/StringBuffer.js";
import { SubmitTag } from "./SubmitTag.js";
/**
 * <html:image>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/ImageTag.java
 */
export declare class ImageTag extends SubmitTag {
    protected attr: Struts1Html.ImageTagAttr;
    /**
     * The module-relative URI of the image.
     */
    protected page: string;
    /**
     * Render the opening element.
     */
    protected getElementOpen(): string;
    /**
     * Render the button attributes
     */
    protected prepareButtonAttributes(results: StringBuffer): void;
    /**
     * Return the base source URL that will be rendered in the
     * <code>src</code> property for this generated element, or
     * <code>null</code> if there is no such URL.
     */
    protected src(): string;
}
