import type { Struts1Html } from "../../index.js";
import { BaseInputTag } from "./BaseInputTag.js";
/**
 * <html:textarea>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/TextareaTag.java
 */
export declare class TextareaTag extends BaseInputTag<Struts1Html.TextareaTagAttr> {
    protected attr: Struts1Html.TextareaTagAttr;
    protected doReadonly: boolean;
    render(): string | Promise<string>;
    /**
     * Generate an HTML &lt;textarea&gt; tag.
     */
    protected renderTextareaElement(): string | Promise<string>;
    /**
     * Renders the value displayed in the &lt;textarea&gt; tag.
     */
    protected renderData(): string;
}
