import { TagSupport } from "../util/TagSupport.js";
import { TagUtils } from "../util/TagUtils.js";
export class ConditionalTagBase extends TagSupport {
    render() {
        if (this.condition()) {
            return this.getBody();
        }
    }
    /**
     * helper method to look for the variable
     */
    lookup() {
        const { context } = this;
        const { name, property, scope } = this.attr;
        return TagUtils.getInstance().lookup(context, name, property, scope);
    }
}
