import { ConditionalTagBase } from "./ConditionalTagBase.js";
/**
 * <logic:empty>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/logic/EmptyTag.java
 */
export class EmptyTag extends ConditionalTagBase {
    condition() {
        const value = this.lookup();
        return value == null || value.length === 0;
    }
}
