import { toBoolean } from "../internal/toBoolean.js";
import { CompareTagBase } from "./CompareTagBase.js";
/**
 * <logic:equal>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/logic/EqualTag.java
 */
export class EqualTag extends CompareTagBase {
    compare(left, right) {
        if (left == null || left === "") {
            return (right == null || right === "");
        }
        else if (right == null || right === "") {
            return (left == null || left === "");
        }
        if ("boolean" === typeof left) {
            right = toBoolean(right);
        }
        else if ("boolean" === typeof right) {
            left = toBoolean(left);
        }
        return left == right;
    }
}
