"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.htmlTags = void 0;
const BaseTag_js_1 = require("./html/BaseTag.js");
const ButtonTag_js_1 = require("./html/ButtonTag.js");
const CancelTag_js_1 = require("./html/CancelTag.js");
const CheckboxTag_js_1 = require("./html/CheckboxTag.js");
const ErrorsTag_js_1 = require("./html/ErrorsTag.js");
const FileTag_js_1 = require("./html/FileTag.js");
const FormTag_js_1 = require("./html/FormTag.js");
const FrameTag_js_1 = require("./html/FrameTag.js");
const HiddenTag_js_1 = require("./html/HiddenTag.js");
const HtmlTag_js_1 = require("./html/HtmlTag.js");
const ImageTag_js_1 = require("./html/ImageTag.js");
const ImgTag_js_1 = require("./html/ImgTag.js");
const JavascriptValidatorTag_js_1 = require("./html/JavascriptValidatorTag.js");
const LabelTag_js_1 = require("./html/LabelTag.js");
const LinkTag_js_1 = require("./html/LinkTag.js");
const MessagesTag_js_1 = require("./html/MessagesTag.js");
const MultiboxTag_js_1 = require("./html/MultiboxTag.js");
const OptionsCollectionTag_js_1 = require("./html/OptionsCollectionTag.js");
const OptionsTag_js_1 = require("./html/OptionsTag.js");
const OptionTag_js_1 = require("./html/OptionTag.js");
const ParamTag_js_1 = require("./html/ParamTag.js");
const PasswordTag_js_1 = require("./html/PasswordTag.js");
const RadioTag_js_1 = require("./html/RadioTag.js");
const ResetTag_js_1 = require("./html/ResetTag.js");
const RewriteTag_js_1 = require("./html/RewriteTag.js");
const SelectTag_js_1 = require("./html/SelectTag.js");
const SubmitTag_js_1 = require("./html/SubmitTag.js");
const TextareaTag_js_1 = require("./html/TextareaTag.js");
const TextTag_js_1 = require("./html/TextTag.js");
const XhtmlTag_js_1 = require("./html/XhtmlTag.js");
const htmlTags = {
    base: BaseTag_js_1.BaseTag,
    button: ButtonTag_js_1.ButtonTag,
    cancel: CancelTag_js_1.CancelTag,
    checkbox: CheckboxTag_js_1.CheckboxTag,
    errors: ErrorsTag_js_1.ErrorsTag,
    file: FileTag_js_1.FileTag,
    form: FormTag_js_1.FormTag,
    frame: FrameTag_js_1.FrameTag,
    hidden: HiddenTag_js_1.HiddenTag,
    html: HtmlTag_js_1.HtmlTag,
    image: ImageTag_js_1.ImageTag,
    img: ImgTag_js_1.ImgTag,
    javascript: JavascriptValidatorTag_js_1.JavascriptValidatorTag,
    label: LabelTag_js_1.LabelTag,
    link: LinkTag_js_1.LinkTag,
    param: ParamTag_js_1.ParamTag,
    messages: MessagesTag_js_1.MessagesTag,
    multibox: MultiboxTag_js_1.MultiboxTag,
    option: OptionTag_js_1.OptionTag,
    options: OptionsTag_js_1.OptionsTag,
    optionsCollection: OptionsCollectionTag_js_1.OptionsCollectionTag,
    password: PasswordTag_js_1.PasswordTag,
    radio: RadioTag_js_1.RadioTag,
    reset: ResetTag_js_1.ResetTag,
    rewrite: RewriteTag_js_1.RewriteTag,
    select: SelectTag_js_1.SelectTag,
    submit: SubmitTag_js_1.SubmitTag,
    text: TextTag_js_1.TextTag,
    textarea: TextareaTag_js_1.TextareaTag,
    xhtml: XhtmlTag_js_1.XhtmlTag,
};
exports.htmlTags = htmlTags;
