"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logicTags = void 0;
const EmptyTag_js_1 = require("./logic/EmptyTag.js");
const EqualTag_js_1 = require("./logic/EqualTag.js");
const ForwardTag_js_1 = require("./logic/ForwardTag.js");
const GreaterEqualTag_js_1 = require("./logic/GreaterEqualTag.js");
const GreaterThanTag_js_1 = require("./logic/GreaterThanTag.js");
const IterateTag_js_1 = require("./logic/IterateTag.js");
const LessEqualTag_js_1 = require("./logic/LessEqualTag.js");
const LessThanTag_js_1 = require("./logic/LessThanTag.js");
const MatchTag_js_1 = require("./logic/MatchTag.js");
const MessagesNotPresentTag_js_1 = require("./logic/MessagesNotPresentTag.js");
const MessagesPresentTag_js_1 = require("./logic/MessagesPresentTag.js");
const NotEmptyTag_js_1 = require("./logic/NotEmptyTag.js");
const NotEqualTag_js_1 = require("./logic/NotEqualTag.js");
const NotMatchTag_js_1 = require("./logic/NotMatchTag.js");
const NotPresentTag_js_1 = require("./logic/NotPresentTag.js");
const PresentTag_js_1 = require("./logic/PresentTag.js");
const RedirectTag_js_1 = require("./logic/RedirectTag.js");
const logicTags = {
    empty: EmptyTag_js_1.EmptyTag,
    equal: EqualTag_js_1.EqualTag,
    forward: ForwardTag_js_1.ForwardTag,
    greaterEqual: GreaterEqualTag_js_1.GreaterEqualTag,
    greaterThan: GreaterThanTag_js_1.GreaterThanTag,
    iterate: IterateTag_js_1.IterateTag,
    lessEqual: LessEqualTag_js_1.LessEqualTag,
    lessThan: LessThanTag_js_1.LessThanTag,
    match: MatchTag_js_1.MatchTag,
    messagesNotPresent: MessagesNotPresentTag_js_1.MessagesNotPresentTag,
    messagesPresent: MessagesPresentTag_js_1.MessagesPresentTag,
    notEmpty: NotEmptyTag_js_1.NotEmptyTag,
    notEqual: NotEqualTag_js_1.NotEqualTag,
    notMatch: NotMatchTag_js_1.NotMatchTag,
    notPresent: NotPresentTag_js_1.NotPresentTag,
    present: PresentTag_js_1.PresentTag,
    redirect: RedirectTag_js_1.RedirectTag,
};
exports.logicTags = logicTags;
