"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagSupport = void 0;
const Request_js_1 = require("./Request.js");
class TagSupport {
    constructor(tag, context) {
        this.tag = tag;
        this.context = context;
        this.attr = tag.attr(context);
        return this;
    }
    /**
     * this returns the body of the tag.
     */
    getBody() {
        return this.tag.body(this.context);
    }
    /**
     * a bridge to HttpServletRequest
     */
    getRequest() {
        return this.request ??= new Request_js_1.Request(this.tag.app, this.context);
    }
}
exports.TagSupport = TagSupport;
