import type { Struts1Html } from "../../index.js";
import { BaseHandlerTag } from "./BaseHandlerTag.js";
/**
 * <html:link>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/LinkTag.java
 */
export declare class LinkTag extends BaseHandlerTag<Struts1Html.LinkTagAttr> {
    protected attr: Struts1Html.LinkTagAttr;
    protected doDisabled: boolean;
    render(): string | Promise<string>;
    calculateURL(): string;
}
