import type { Struts1Html } from "../../index.js";
import { StringBuffer } from "../util/StringBuffer.js";
import { BaseHandlerTag } from "./BaseHandlerTag.js";
/**
 * <html:multibox>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/MultiboxTag.java
 */
export declare class MultiboxTag extends BaseHandlerTag<Struts1Html.MultiboxTagAttr> {
    protected attr: Struts1Html.MultiboxTagAttr;
    render(): Promise<string>;
    /**
     * The constant String value to be returned when this checkbox is selected
     * and the form is submitted.
     */
    constant: string;
    /**
     * Render the value element
     */
    prepareValue(results: StringBuffer): string;
    /**
     * Render the checked element
     */
    prepareChecked(results: StringBuffer, value: string): void;
}
