import { Request } from "./Request.js";
export class TagSupport {
    constructor(tag, context) {
        this.tag = tag;
        this.context = context;
        this.attr = tag.attr(context);
        return this;
    }
    /**
     * this returns the body of the tag.
     */
    getBody() {
        return this.tag.body(this.context);
    }
    /**
     * a bridge to HttpServletRequest
     */
    getRequest() {
        return this.request ??= new Request(this.tag.app, this.context);
    }
}
